Package org.eclipse.gef.mvc.fx.parts

## Class DefaultHoverIntentHandlePartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory

All Implemented Interfaces:
  `IHandlePartFactory`

    public class DefaultHoverIntentHandlePartFactory
    extends java.lang.Object
    implements IHandlePartFactory

### Field Summary

Fields
`static java.lang.String` `HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate hover handles.

### Constructor Summary

Constructors
`DefaultHoverIntentHandlePartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createHandleParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets, java.util.Map<java.lang.Object,​java.lang.Object> contextMap)` Creates specific `IHandlePart`s for the given targets.
`protected java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createHoverHandlePartsForCurve​(IVisualPart<? extends javafx.scene.Node> target, java.util.Map<java.lang.Object,​java.lang.Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates hover handle parts for a handle geometry that is an `ICurve`.
`protected java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createHoverHandlePartsForPolygonalOutline​(IVisualPart<? extends javafx.scene.Node> target, java.util.Map<java.lang.Object,​java.lang.Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates hover handle parts for a handle geometry that is an `IShape` but not a `Rectangle`.
`protected java.util.List<IHandlePart<? extends javafx.scene.Node>>` `createHoverHandlePartsForRectangularOutline​(IVisualPart<? extends javafx.scene.Node> target, java.util.Map<java.lang.Object,​java.lang.Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates hover handle parts for a handle geometry that is a `Rectangle`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER

    public static final java.lang.String HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate hover handles.

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultHoverIntentHandlePartFactory

    public DefaultHoverIntentHandlePartFactory()

### Method Detail

#### createHandleParts

    public java.util.List<IHandlePart<? extends javafx.scene.Node>> createHandleParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets,
                                                                                      java.util.Map<java.lang.Object,​java.lang.Object> contextMap)

Description copied from interface: `IHandlePartFactory`
Creates specific `IHandlePart`s for the given targets. As additional information might be needed by the `IHandlePartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createHandleParts` in interface `IHandlePartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which handles are to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createHoverHandlePartsForCurve

    protected java.util.List<IHandlePart<? extends javafx.scene.Node>> createHoverHandlePartsForCurve​(IVisualPart<? extends javafx.scene.Node> target,
                                                                                                      java.util.Map<java.lang.Object,​java.lang.Object> contextMap,
                                                                                                      Provider<BezierCurve[]> segmentsProvider)

Creates hover handle parts for a handle geometry that is an `ICurve`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createHoverHandlePartsForPolygonalOutline

    protected java.util.List<IHandlePart<? extends javafx.scene.Node>> createHoverHandlePartsForPolygonalOutline​(IVisualPart<? extends javafx.scene.Node> target,
                                                                                                                 java.util.Map<java.lang.Object,​java.lang.Object> contextMap,
                                                                                                                 Provider<BezierCurve[]> segmentsProvider)

Creates hover handle parts for a handle geometry that is an `IShape` but not a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createHoverHandlePartsForRectangularOutline

    protected java.util.List<IHandlePart<? extends javafx.scene.Node>> createHoverHandlePartsForRectangularOutline​(IVisualPart<? extends javafx.scene.Node> target,
                                                                                                                   java.util.Map<java.lang.Object,​java.lang.Object> contextMap,
                                                                                                                   Provider<BezierCurve[]> segmentsProvider)

Creates hover handle parts for a handle geometry that is a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.